package com.artfess.base.context.impl;

import com.artfess.base.constants.TenantConstant;
import com.artfess.base.context.BaseContext;
import org.springframework.stereotype.Service;

import java.util.List;


@Service
public class EmptyBaseContext implements BaseContext {
	@Override
	public String getCurrentUserId() {
		return "1";
	}

	@Override
	public String getCurrentOrgId() {
		return "1";
	}

	@Override
	public String getCurrentOrgName() {
		return "";
	}

	@Override
	public String getCurrentDeptId() {
		return "1";
	}

	@Override
	public String getCurrentDeptName() {
		return "";
	}

	@Override
	public String getCurrentFullId() {
		return "";
	}

	@Override
	public String getCurrentTenantId() {
		return TenantConstant.PLATFORM_TENANT_ID;
	}

	@Override
	public String getCurrentUserAccout() {
		return null;
	}

	@Override
	public String getCurrentUserName() {
		return null;
	}

	@Override
	public void setTempTenantId(String tenantId) {

	}

	@Override
	public void clearTempTenantId() {

	}

	@Override
	public List<String> getCurrentAndChildOrgIds() {
		return null;
	}

	@Override
	public String getCurrentOrgAddvcd() {
		return null;
	}

	@Override
	public String getCurrentOrgAddvcdName() {
		return null;
	}

	@Override
	public String getCurrentOrgAddvcdFull() {
		return null;
	}

	@Override
	public Boolean isAdmin() { return null; }
}
